---
title: "Config: write"
tags:
- action
- eca_config
- eca action 1.0.0
---
# Config: write

Available since: 1.0.0

Writes into configuration from a token.

{!include/plugins/eca_config/action/eca_config_write.md!}

## Fields

`Config value`

:   The value to set.<br/>This field supports tokens.

    {!include/plugins/eca_config/action/eca_config_write/config_value.md!}

`Interpret above config value as YAML format`

:   Nested data can be set using YAML format, for example <em>front: /node</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>front: "[myurl:path]"</em>

    {!include/plugins/eca_config/action/eca_config_write/use_yaml.md!}

`Save configuration`

:   Save the given config to the Drupal database.

    {!include/plugins/eca_config/action/eca_config_write/save_config.md!}

`Config name`

:   The config name, for example <em>system.site</em>.

    {!include/plugins/eca_config/action/eca_config_write/config_name.md!}

`Config key`

:   The config key, for example <em>page.front</em>. Leave empty to use the whole config.

    {!include/plugins/eca_config/action/eca_config_write/config_key.md!}
