---
title: "Entity form: compare display mode"
tags:
- condition
- eca_content
- eca condition 1.0.0
---
# Entity form: compare display mode

Available since: 1.0.0

Evaluates against the machine name of the entity form display mode.

{!include/plugins/eca_content/condition/eca_content_form_display_mode.md!}

## Fields

`Form display mode`

:   The machine name of the display mode. Example: <em>default</em>

    {!include/plugins/eca_content/condition/eca_content_form_display_mode/display_mode.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_content_form_display_mode_operator</em>

    {!include/plugins/eca_content/condition/eca_content_form_display_mode/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_content_form_display_mode_type</em>

    {!include/plugins/eca_content/condition/eca_content_form_display_mode/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_content/condition/eca_content_form_display_mode/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_content/condition/eca_content_form_display_mode/negate.md!}
