---
title: "Form field: get submitted value"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form field: get submitted value

Available since: 1.0.0

Get the submitted input of a form field and store it as a token.

{!include/plugins/eca_form/action/eca_form_field_get_value.md!}

## Fields

`Name of token`

:   The field value will be loaded into this specified token. Please provide the token name only, without brackets.

    {!include/plugins/eca_form/action/eca_form_field_get_value/token_name.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_get_value/field_name.md!}

`Strip tags`

:   Whether stripping all <em>HTML</em> and <em>PHP</em> tags or not.

    {!include/plugins/eca_form/action/eca_form_field_get_value/strip_tags.md!}

`Trim`

:   Whether stripping all whitespaces at the beginning and end or not.

    {!include/plugins/eca_form/action/eca_form_field_get_value/trim.md!}

`Filter XSS`

:   Additionally filters out possible cross-site scripting (XSS) text.

    {!include/plugins/eca_form/action/eca_form_field_get_value/xss_filter.md!}
