---
title: "Render: serialize"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: serialize

Available since: 1.1.0

Serializes data.

{!include/plugins/eca_render/action/eca_render_serialize_serialization.md!}

## Fields

`Format`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_serialize:serialization_format</em>

    {!include/plugins/eca_render/action/eca_render_serialize_serialization/format.md!}

`Value`

:   The value to serialize.<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_serialize_serialization/value.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: "My value"</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_render/action/eca_render_serialize_serialization/use_yaml.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_serialize_serialization/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_serialize_serialization/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_serialize_serialization/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_serialize:serialization_mode</em>

    {!include/plugins/eca_render/action/eca_render_serialize_serialization/mode.md!}
