---
title: "Tamper: Keyword filter"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Keyword filter

Available since: 1.0.0

Filter based on a list of words/phrases.

{!include/plugins/eca_tamper/action/eca_tamper_keyword_filter.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_keyword_filter/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_keyword_filter/eca_token_name.md!}

`Words or phrases to filter on`

:   A list of words/phrases that need to appear in the text. Enter one value per line.

    {!include/plugins/eca_tamper/action/eca_tamper_keyword_filter/words.md!}

`Respect word boundaries`

:   If checked, then "book" will match "book" but not "bookcase".

    {!include/plugins/eca_tamper/action/eca_tamper_keyword_filter/word_boundaries.md!}

`Exact`

:   If checked, then "book" will only match "book". This will override the "Respect word boundaries" setting above.

    {!include/plugins/eca_tamper/action/eca_tamper_keyword_filter/exact.md!}

`Case sensitive`

:   If checked, then "book" will match "book" but not "Book" or "BOOK".

    {!include/plugins/eca_tamper/action/eca_tamper_keyword_filter/case_sensitive.md!}

`Invert filter`

:   Inverting the filter will remove items with the specified text.

    {!include/plugins/eca_tamper/action/eca_tamper_keyword_filter/invert.md!}
